﻿// <auto-generated />
using System;
using LawMingo.Data;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace LawMingo.Migrations
{
    [DbContext(typeof(ApplicationDbContext))]
    [Migration("20200119152112_sfjgjy")]
    partial class sfjgjy
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.2.1-servicing-10028")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("LawMingo.Models.DomainModel.Affiliate", b =>
                {
                    b.Property<Guid>("AffiliateID")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("ApplicationUserId");

                    b.Property<string>("Color");

                    b.Property<bool>("Disabled");

                    b.Property<DateTime>("ExpireDate");

                    b.Property<string>("FontColor");

                    b.Property<string>("Ip");

                    b.Property<string>("Name");

                    b.Property<DateTime>("RegisterDate");

                    b.Property<string>("URL");

                    b.HasKey("AffiliateID");

                    b.HasIndex("ApplicationUserId");

                    b.ToTable("Affiliates");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.AffiliateDetail", b =>
                {
                    b.Property<int>("AffiliateDetailID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("AffiliateGroupID");

                    b.Property<int?>("CategoryID");

                    b.Property<float>("CommissionPercent");

                    b.Property<decimal>("CommissionStatic");

                    b.Property<int?>("ContractID");

                    b.Property<decimal?>("Discount");

                    b.Property<DateTime?>("DiscountEnd");

                    b.Property<DateTime?>("DiscountStart");

                    b.Property<bool>("Exclude");

                    b.Property<bool>("ExpandView");

                    b.Property<decimal>("MaxCommission");

                    b.Property<decimal?>("Price");

                    b.Property<float>("ThirdPersonCommissionPercent");

                    b.Property<decimal>("ThirdPersonCommissionStatic");

                    b.Property<decimal>("ThirdPersonMaxCommission");

                    b.Property<decimal>("Wallet");

                    b.Property<decimal>("WalletPercent");

                    b.HasKey("AffiliateDetailID");

                    b.HasIndex("AffiliateGroupID");

                    b.HasIndex("CategoryID");

                    b.HasIndex("ContractID");

                    b.ToTable("AffiliateDetails");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.AffiliateGroup", b =>
                {
                    b.Property<int>("AffiliateGroupID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<Guid>("AffiliateID");

                    b.Property<DateTime>("CreateTime");

                    b.Property<bool>("Disabled");

                    b.Property<string>("Title");

                    b.Property<string>("Token");

                    b.Property<decimal?>("Wallet");

                    b.HasKey("AffiliateGroupID");

                    b.HasIndex("AffiliateID");

                    b.ToTable("AffiliateGroups");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.AffiliateLog", b =>
                {
                    b.Property<string>("AffiliateLogID")
                        .ValueGeneratedOnAdd();

                    b.Property<Guid>("AffiliateID");

                    b.Property<string>("ApplicationUserID");

                    b.Property<string>("Description");

                    b.Property<bool>("ForbiddenAccess");

                    b.Property<string>("Ip");

                    b.Property<string>("Request");

                    b.Property<bool>("Success");

                    b.Property<DateTime>("Time");

                    b.Property<string>("URL");

                    b.HasKey("AffiliateLogID");

                    b.HasIndex("AffiliateID");

                    b.HasIndex("ApplicationUserID");

                    b.ToTable("AffiliateLogs");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.AffiliateTransaction", b =>
                {
                    b.Property<int>("AffiliateTransactionID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("AffiliateDetailID");

                    b.Property<decimal>("Amount");

                    b.Property<string>("Description");

                    b.Property<string>("Ip");

                    b.Property<DateTime>("Time");

                    b.Property<int?>("UserContractID");

                    b.HasKey("AffiliateTransactionID");

                    b.HasIndex("AffiliateDetailID");

                    b.HasIndex("UserContractID");

                    b.ToTable("AffiliateTransactions");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Answer", b =>
                {
                    b.Property<int>("AnswerID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ApplicationUserId");

                    b.Property<string>("EnglishAnswer");

                    b.Property<string>("MyAnswer");

                    b.Property<int>("QuestionID");

                    b.Property<DateTime>("Time");

                    b.HasKey("AnswerID");

                    b.HasIndex("ApplicationUserId");

                    b.HasIndex("QuestionID");

                    b.ToTable("Answers");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.ApplicationUser", b =>
                {
                    b.Property<string>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int>("AccessFailedCount");

                    b.Property<string>("AffiliateID");

                    b.Property<string>("Avatar");

                    b.Property<string>("BanckCartNumber");

                    b.Property<DateTime?>("BirthDate");

                    b.Property<bool>("BlackList");

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken();

                    b.Property<string>("Email")
                        .HasMaxLength(256);

                    b.Property<bool>("EmailConfirmed");

                    b.Property<string>("Family");

                    b.Property<bool>("Gender");

                    b.Property<DateTime?>("LastLogin");

                    b.Property<bool>("LockoutEnabled");

                    b.Property<DateTimeOffset?>("LockoutEnd");

                    b.Property<string>("Name");

                    b.Property<string>("NormalizedEmail")
                        .HasMaxLength(256);

                    b.Property<string>("NormalizedUserName")
                        .HasMaxLength(256);

                    b.Property<string>("PasswordHash");

                    b.Property<string>("PhoneNumber");

                    b.Property<bool>("PhoneNumberConfirmed");

                    b.Property<DateTime?>("Register");

                    b.Property<string>("SecurityStamp");

                    b.Property<bool>("TwoFactorEnabled");

                    b.Property<string>("UserName")
                        .HasMaxLength(256);

                    b.Property<int>("UserStatus");

                    b.HasKey("Id");

                    b.HasIndex("NormalizedEmail")
                        .HasName("EmailIndex");

                    b.HasIndex("NormalizedUserName")
                        .IsUnique()
                        .HasName("UserNameIndex")
                        .HasFilter("[NormalizedUserName] IS NOT NULL");

                    b.HasIndex("UserName")
                        .IsUnique()
                        .HasFilter("[UserName] IS NOT NULL");

                    b.ToTable("AspNetUsers");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Article", b =>
                {
                    b.Property<int>("ArticleID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ApplicationUserId");

                    b.Property<int>("ContractID");

                    b.Property<string>("Name")
                        .IsRequired();

                    b.Property<int>("Order");

                    b.Property<DateTime>("Time");

                    b.HasKey("ArticleID");

                    b.HasIndex("ApplicationUserId");

                    b.HasIndex("ContractID");

                    b.ToTable("Articles");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.ArticleDetail", b =>
                {
                    b.Property<int>("ArticleDetailID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("AnswerID");

                    b.Property<string>("ApplicationUserId");

                    b.Property<string>("ArticleContent")
                        .IsRequired();

                    b.Property<DateTime>("Time");

                    b.HasKey("ArticleDetailID");

                    b.HasIndex("AnswerID");

                    b.ToTable("ArticleDetails");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.ArticleProperty", b =>
                {
                    b.Property<int>("ArticlePropertyID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("EnglishName")
                        .IsRequired()
                        .HasMaxLength(100);

                    b.Property<string>("PropertyName")
                        .IsRequired()
                        .HasMaxLength(100);

                    b.HasKey("ArticlePropertyID");

                    b.HasIndex("EnglishName")
                        .IsUnique();

                    b.HasIndex("PropertyName")
                        .IsUnique();

                    b.ToTable("ArticleProperties");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Author", b =>
                {
                    b.Property<int>("AuthorID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ApplicationUserId");

                    b.Property<string>("Color");

                    b.Property<DateTime>("CreateTime");

                    b.Property<string>("Description");

                    b.Property<string>("EnglishTitle")
                        .IsRequired()
                        .HasMaxLength(100);

                    b.Property<string>("FontColor");

                    b.Property<string>("Icon");

                    b.Property<string>("Image");

                    b.Property<string>("Summery");

                    b.Property<string>("Title")
                        .IsRequired()
                        .HasMaxLength(100);

                    b.HasKey("AuthorID");

                    b.ToTable("Authors");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Category", b =>
                {
                    b.Property<int>("CategoryID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ApplicationUserId");

                    b.Property<string>("EnglishName")
                        .IsRequired()
                        .HasMaxLength(100);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(100);

                    b.Property<int?>("ParentID");

                    b.Property<DateTime>("Time");

                    b.HasKey("CategoryID");

                    b.HasIndex("ApplicationUserId");

                    b.HasIndex("EnglishName")
                        .IsUnique();

                    b.HasIndex("Name")
                        .IsUnique();

                    b.HasIndex("ParentID");

                    b.ToTable("Categories");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Comment", b =>
                {
                    b.Property<int>("CommentID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ApplicationUserId");

                    b.Property<string>("Author")
                        .IsRequired();

                    b.Property<string>("AuthorEmail");

                    b.Property<string>("AuthorIPAddress");

                    b.Property<string>("Content");

                    b.Property<int?>("ContractID");

                    b.Property<bool>("IsActive");

                    b.Property<bool>("IsRead");

                    b.Property<int?>("ParentID");

                    b.Property<int?>("PostID");

                    b.Property<DateTime>("Time");

                    b.HasKey("CommentID");

                    b.HasIndex("ApplicationUserId");

                    b.HasIndex("ContractID");

                    b.HasIndex("ParentID");

                    b.HasIndex("PostID");

                    b.ToTable("Comments");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Complaint", b =>
                {
                    b.Property<int>("ComplaintID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Content")
                        .IsRequired();

                    b.Property<string>("Email")
                        .IsRequired();

                    b.Property<string>("Subject")
                        .IsRequired();

                    b.Property<DateTime>("Time");

                    b.HasKey("ComplaintID");

                    b.ToTable("Complaints");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.ConsultationRequest", b =>
                {
                    b.Property<int>("ConsultationRequestID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("AdviceTime");

                    b.Property<string>("ApplicationUserId");

                    b.Property<int>("CounselorID");

                    b.Property<string>("Description")
                        .IsRequired();

                    b.Property<string>("FullName")
                        .IsRequired();

                    b.Property<string>("Mobile")
                        .IsRequired();

                    b.Property<string>("OrderID");

                    b.Property<DateTime>("Time");

                    b.Property<string>("TimeRange")
                        .IsRequired();

                    b.Property<int>("status");

                    b.HasKey("ConsultationRequestID");

                    b.HasIndex("ApplicationUserId");

                    b.HasIndex("CounselorID");

                    b.ToTable("ConsultationRequests");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.ContactUs", b =>
                {
                    b.Property<int>("ContactUsID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Content")
                        .IsRequired();

                    b.Property<string>("Email")
                        .IsRequired();

                    b.Property<string>("Subject")
                        .IsRequired();

                    b.Property<DateTime>("Time");

                    b.HasKey("ContactUsID");

                    b.ToTable("Contacts");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Contract", b =>
                {
                    b.Property<int>("ContractID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ApplicationUserId");

                    b.Property<string>("Banner");

                    b.Property<int>("CategoryID");

                    b.Property<string>("Description");

                    b.Property<decimal?>("Discount");

                    b.Property<string>("EnglishName")
                        .IsRequired()
                        .HasMaxLength(150);

                    b.Property<string>("File");

                    b.Property<string>("Image");

                    b.Property<bool>("IsVisible");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(150);

                    b.Property<decimal?>("Price");

                    b.Property<float>("Score");

                    b.Property<string>("Summery");

                    b.Property<DateTime>("Time");

                    b.Property<int>("Type");

                    b.Property<string>("Video");

                    b.Property<string>("VideoCover");

                    b.Property<int>("Visits");

                    b.HasKey("ContractID");

                    b.HasIndex("ApplicationUserId");

                    b.HasIndex("CategoryID");

                    b.HasIndex("EnglishName")
                        .IsUnique();

                    b.HasIndex("Name")
                        .IsUnique();

                    b.ToTable("Contract");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.ContractRequest", b =>
                {
                    b.Property<int>("ContractRequestID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<bool>("Confirm");

                    b.Property<string>("ContractName")
                        .IsRequired();

                    b.Property<string>("Description");

                    b.Property<string>("Email");

                    b.Property<string>("FullName")
                        .IsRequired();

                    b.Property<string>("Mobile")
                        .IsRequired();

                    b.Property<bool>("Read");

                    b.Property<DateTime>("Time");

                    b.HasKey("ContractRequestID");

                    b.ToTable("ContractRequests");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.ContractScore", b =>
                {
                    b.Property<int>("ContractScoreID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ApplicationUserId");

                    b.Property<int>("ContractID");

                    b.Property<string>("IP");

                    b.Property<int>("Score");

                    b.Property<DateTime>("Time");

                    b.HasKey("ContractScoreID");

                    b.HasIndex("ApplicationUserId");

                    b.HasIndex("ContractID");

                    b.ToTable("ContractScores");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Counselor", b =>
                {
                    b.Property<int>("CounselorID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ApplicationUserId");

                    b.Property<decimal>("CounselationPrice15");

                    b.Property<decimal>("CounselationPrice30");

                    b.Property<decimal>("CounselationPrice60");

                    b.Property<int>("CounselorCategoryID");

                    b.Property<bool>("Direct");

                    b.Property<string>("Education")
                        .IsRequired();

                    b.Property<string>("Image");

                    b.Property<bool>("IsActive");

                    b.Property<string>("Name")
                        .IsRequired();

                    b.Property<bool>("Phone");

                    b.Property<string>("Post")
                        .IsRequired();

                    b.Property<decimal>("Price");

                    b.Property<string>("Summery")
                        .IsRequired();

                    b.Property<string>("Thumbnail");

                    b.Property<DateTime>("Time");

                    b.HasKey("CounselorID");

                    b.HasIndex("ApplicationUserId");

                    b.HasIndex("CounselorCategoryID");

                    b.ToTable("Counselors");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.CounselorCategory", b =>
                {
                    b.Property<int>("CounselorCategoryID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("EnglishName");

                    b.Property<string>("Name");

                    b.HasKey("CounselorCategoryID");

                    b.ToTable("CounselorCategories");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Coupon", b =>
                {
                    b.Property<int>("CouponID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<decimal?>("Amount");

                    b.Property<string>("ApplicationUserId");

                    b.Property<int?>("CategoryID");

                    b.Property<int?>("ConsultationRequestID");

                    b.Property<int?>("Count")
                        .IsRequired();

                    b.Property<DateTime>("End");

                    b.Property<bool>("IsActive");

                    b.Property<string>("Name")
                        .IsRequired();

                    b.Property<int?>("ParentID");

                    b.Property<DateTime>("Start");

                    b.Property<DateTime>("Time");

                    b.Property<int?>("UserContractID");

                    b.Property<int?>("UserSubscriptionID");

                    b.Property<int>("discountType");

                    b.HasKey("CouponID");

                    b.HasIndex("ApplicationUserId");

                    b.HasIndex("CategoryID");

                    b.HasIndex("ConsultationRequestID");

                    b.HasIndex("ParentID");

                    b.HasIndex("UserContractID");

                    b.HasIndex("UserSubscriptionID");

                    b.ToTable("Coupons");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Help", b =>
                {
                    b.Property<int>("HelpID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ApplicationUserId");

                    b.Property<string>("Content");

                    b.Property<int>("DisLike");

                    b.Property<int>("Like");

                    b.Property<int>("QuestionID");

                    b.Property<DateTime>("Time");

                    b.Property<string>("UserAppId");

                    b.Property<bool>("Visible");

                    b.HasKey("HelpID");

                    b.HasIndex("QuestionID");

                    b.ToTable("Helps");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.LikeDislike", b =>
                {
                    b.Property<int>("LikeDislikeID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ApplicationUserId");

                    b.Property<int>("CommentID");

                    b.Property<string>("IP");

                    b.Property<DateTime>("Time");

                    b.Property<bool>("Type");

                    b.HasKey("LikeDislikeID");

                    b.HasIndex("ApplicationUserId");

                    b.HasIndex("CommentID");

                    b.ToTable("LikeDislikes");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.PaymentLog", b =>
                {
                    b.Property<int>("PaymentLogID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<decimal>("Amount");

                    b.Property<string>("ConsultationOrderID");

                    b.Property<int?>("ConsultationRequestID");

                    b.Property<bool>("IsSuccessful");

                    b.Property<string>("PaymentID");

                    b.Property<string>("ReferenceBank");

                    b.Property<string>("RequestStatus");

                    b.Property<string>("ResponseCode");

                    b.Property<string>("ResponseMessage");

                    b.Property<DateTime>("Time");

                    b.Property<string>("TrackingCode");

                    b.Property<int?>("UserContractID");

                    b.Property<int?>("UserSubscriptionID");

                    b.HasKey("PaymentLogID");

                    b.HasIndex("ConsultationRequestID");

                    b.HasIndex("UserContractID");

                    b.HasIndex("UserSubscriptionID");

                    b.ToTable("PaymentLogs");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Post", b =>
                {
                    b.Property<int>("PostID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ApplicationUserId");

                    b.Property<int?>("AuthorID");

                    b.Property<string>("Color");

                    b.Property<string>("Content");

                    b.Property<string>("Cover");

                    b.Property<DateTime>("CreateTime");

                    b.Property<int>("DisLikes");

                    b.Property<bool>("Disable");

                    b.Property<string>("EnglishTitle")
                        .IsRequired()
                        .HasMaxLength(100);

                    b.Property<string>("FontColor");

                    b.Property<string>("Image");

                    b.Property<string>("ImageAlt");

                    b.Property<DateTime>("LastModified");

                    b.Property<int>("Likes");

                    b.Property<bool>("NoComment");

                    b.Property<int?>("ParentID");

                    b.Property<DateTime>("PublishTime");

                    b.Property<string>("SEO_Description")
                        .IsRequired();

                    b.Property<string>("SEO_Keywords")
                        .IsRequired();

                    b.Property<string>("SEO_Title")
                        .IsRequired();

                    b.Property<bool>("Slider");

                    b.Property<int?>("SubjectID");

                    b.Property<string>("Summary");

                    b.Property<string>("Tags");

                    b.Property<string>("Title")
                        .IsRequired()
                        .HasMaxLength(100);

                    b.Property<int>("ViewType");

                    b.Property<int>("Visits");

                    b.HasKey("PostID");

                    b.HasIndex("ApplicationUserId");

                    b.HasIndex("AuthorID");

                    b.HasIndex("ParentID");

                    b.HasIndex("SubjectID");

                    b.ToTable("Posts");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Question", b =>
                {
                    b.Property<int>("QuestionID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("AnsID");

                    b.Property<string>("ApplicationUserId");

                    b.Property<int>("ArticleID");

                    b.Property<bool>("CheckBox");

                    b.Property<bool>("End");

                    b.Property<string>("MyQuestion")
                        .IsRequired();

                    b.Property<DateTime>("Time");

                    b.HasKey("QuestionID");

                    b.HasIndex("ApplicationUserId");

                    b.HasIndex("ArticleID");

                    b.ToTable("Questions");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.RelatedArticle", b =>
                {
                    b.Property<int>("RelatedArticleID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("Act");

                    b.Property<int>("AnswerID");

                    b.Property<string>("ApplicationUserId");

                    b.Property<int>("ArticleDetailID");

                    b.Property<int>("ArticleID");

                    b.Property<string>("NewContent");

                    b.Property<DateTime>("Time");

                    b.HasKey("RelatedArticleID");

                    b.HasIndex("AnswerID");

                    b.HasIndex("ApplicationUserId");

                    b.HasIndex("ArticleDetailID");

                    b.HasIndex("ArticleID");

                    b.ToTable("RelatedArticles");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.RelatedContract", b =>
                {
                    b.Property<int>("RelatedContractID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ApplicationUserId");

                    b.Property<int>("ContractID");

                    b.Property<DateTime>("CreateTime");

                    b.Property<int>("PostID");

                    b.HasKey("RelatedContractID");

                    b.HasIndex("ApplicationUserId");

                    b.HasIndex("ContractID");

                    b.HasIndex("PostID");

                    b.ToTable("RelatedContracts");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.RelatedPost", b =>
                {
                    b.Property<int>("RelatedPostID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ApplicationUserId");

                    b.Property<DateTime>("CreateTime");

                    b.Property<int>("PostID");

                    b.Property<int>("RelatedID");

                    b.HasKey("RelatedPostID");

                    b.HasIndex("ApplicationUserId");

                    b.HasIndex("PostID");

                    b.HasIndex("RelatedID");

                    b.ToTable("RelatedPosts");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Schedule", b =>
                {
                    b.Property<int>("ScheduleID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("CounselorID");

                    b.Property<DateTime?>("EndTimeRange1");

                    b.Property<DateTime?>("EndTimeRange2");

                    b.Property<DateTime?>("EndTimeRange3");

                    b.Property<DateTime?>("EndTimeRange4");

                    b.Property<DateTime?>("EndTimeRange5");

                    b.Property<DateTime?>("EndTimeRange6");

                    b.Property<DateTime?>("EndTimeRange7");

                    b.Property<DateTime?>("StartTimeRange1");

                    b.Property<DateTime?>("StartTimeRange2");

                    b.Property<DateTime?>("StartTimeRange3");

                    b.Property<DateTime?>("StartTimeRange4");

                    b.Property<DateTime?>("StartTimeRange5");

                    b.Property<DateTime?>("StartTimeRange6");

                    b.Property<DateTime?>("StartTimeRange7");

                    b.Property<int>("day");

                    b.HasKey("ScheduleID");

                    b.HasIndex("CounselorID");

                    b.ToTable("Schedules");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.SmsLog", b =>
                {
                    b.Property<int>("SmsLogID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("EntriyMessage");

                    b.Property<int>("EntriyStatus");

                    b.Property<string>("Receptor");

                    b.Property<string>("ReturnMessage");

                    b.Property<int>("ReturnStatus");

                    b.Property<string>("Template");

                    b.Property<DateTime>("Time");

                    b.Property<string>("Usage");

                    b.Property<int>("cost");

                    b.Property<int>("date");

                    b.Property<int>("messageid");

                    b.Property<string>("sender");

                    b.Property<string>("statustext");

                    b.HasKey("SmsLogID");

                    b.ToTable("SmsLogs");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Subject", b =>
                {
                    b.Property<int>("SubjectID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ApplicationUserId");

                    b.Property<string>("Color")
                        .IsRequired();

                    b.Property<DateTime>("CreateTime");

                    b.Property<string>("Description");

                    b.Property<string>("EnglishTitle")
                        .IsRequired()
                        .HasMaxLength(100);

                    b.Property<string>("FontColor")
                        .IsRequired();

                    b.Property<string>("Icon");

                    b.Property<string>("Image");

                    b.Property<bool>("NoComment");

                    b.Property<int?>("ParentID");

                    b.Property<string>("SEO_Description")
                        .IsRequired();

                    b.Property<string>("SEO_Keywords")
                        .IsRequired();

                    b.Property<string>("SEO_Title")
                        .IsRequired();

                    b.Property<bool>("SideBar");

                    b.Property<bool>("SimmilarPosts");

                    b.Property<string>("Title")
                        .IsRequired()
                        .HasMaxLength(100);

                    b.Property<int?>("ViewType");

                    b.HasKey("SubjectID");

                    b.HasIndex("ApplicationUserId");

                    b.HasIndex("ParentID");

                    b.ToTable("Subjects");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Subscription", b =>
                {
                    b.Property<int>("SubscriptionID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("AdviserTime");

                    b.Property<int>("Count");

                    b.Property<int?>("Discount");

                    b.Property<bool>("IsActive");

                    b.Property<int>("Month");

                    b.Property<decimal>("Price");

                    b.Property<int?>("ReferencedContract");

                    b.Property<DateTime>("Time");

                    b.Property<string>("Title");

                    b.HasKey("SubscriptionID");

                    b.ToTable("Subscriptions");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Tag", b =>
                {
                    b.Property<int>("TagID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ApplicationUserId");

                    b.Property<string>("Color");

                    b.Property<DateTime>("CreateTime");

                    b.Property<string>("Description");

                    b.Property<string>("EnglishTitle")
                        .IsRequired()
                        .HasMaxLength(100);

                    b.Property<string>("FontColor");

                    b.Property<string>("Icon");

                    b.Property<string>("Image");

                    b.Property<string>("SEO_Description");

                    b.Property<string>("SEO_Keywords");

                    b.Property<string>("SEO_Title");

                    b.Property<string>("Title")
                        .IsRequired()
                        .HasMaxLength(100);

                    b.Property<int>("Type");

                    b.HasKey("TagID");

                    b.ToTable("Tags");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.UserContract", b =>
                {
                    b.Property<int>("UserContractID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("AffiliateDetailID");

                    b.Property<string>("ApplicationUserId")
                        .IsRequired();

                    b.Property<string>("ArtsID");

                    b.Property<string>("Content");

                    b.Property<int>("ContractID");

                    b.Property<int?>("EditCount");

                    b.Property<DateTime>("EditTime");

                    b.Property<string>("OrderId");

                    b.Property<int?>("ParentID");

                    b.Property<string>("SelectedAnswer")
                        .IsRequired();

                    b.Property<DateTime>("Time");

                    b.Property<string>("Word");

                    b.Property<int>("status");

                    b.HasKey("UserContractID");

                    b.HasIndex("AffiliateDetailID");

                    b.HasIndex("ApplicationUserId");

                    b.HasIndex("ContractID");

                    b.HasIndex("ParentID");

                    b.ToTable("UserContracts");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.UserContractProperty", b =>
                {
                    b.Property<int>("UserContractPropertyID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("ArticlePropertyID");

                    b.Property<int>("UserContractID");

                    b.Property<string>("Value");

                    b.HasKey("UserContractPropertyID");

                    b.HasIndex("ArticlePropertyID");

                    b.HasIndex("UserContractID");

                    b.ToTable("UserContractProperties");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.UserSubscription", b =>
                {
                    b.Property<int>("UserSubscriptionID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ApplicationUserId");

                    b.Property<string>("OrderId");

                    b.Property<int>("SubscriptionID");

                    b.Property<DateTime>("Time");

                    b.Property<int?>("UsageCount");

                    b.HasKey("UserSubscriptionID");

                    b.HasIndex("ApplicationUserId");

                    b.HasIndex("SubscriptionID");

                    b.ToTable("UserSubscriptions");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRole", b =>
                {
                    b.Property<string>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken();

                    b.Property<string>("Name")
                        .HasMaxLength(256);

                    b.Property<string>("NormalizedName")
                        .HasMaxLength(256);

                    b.HasKey("Id");

                    b.HasIndex("NormalizedName")
                        .IsUnique()
                        .HasName("RoleNameIndex")
                        .HasFilter("[NormalizedName] IS NOT NULL");

                    b.ToTable("AspNetRoles");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<string>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ClaimType");

                    b.Property<string>("ClaimValue");

                    b.Property<string>("RoleId")
                        .IsRequired();

                    b.HasKey("Id");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetRoleClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<string>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ClaimType");

                    b.Property<string>("ClaimValue");

                    b.Property<string>("UserId")
                        .IsRequired();

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<string>", b =>
                {
                    b.Property<string>("LoginProvider");

                    b.Property<string>("ProviderKey");

                    b.Property<string>("ProviderDisplayName");

                    b.Property<string>("UserId")
                        .IsRequired();

                    b.HasKey("LoginProvider", "ProviderKey");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserLogins");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<string>", b =>
                {
                    b.Property<string>("UserId");

                    b.Property<string>("RoleId");

                    b.HasKey("UserId", "RoleId");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetUserRoles");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<string>", b =>
                {
                    b.Property<string>("UserId");

                    b.Property<string>("LoginProvider");

                    b.Property<string>("Name");

                    b.Property<string>("Value");

                    b.HasKey("UserId", "LoginProvider", "Name");

                    b.ToTable("AspNetUserTokens");
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Affiliate", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser", "ApplicationUser")
                        .WithMany()
                        .HasForeignKey("ApplicationUserId")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.AffiliateDetail", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.AffiliateGroup", "AffiliateGroup")
                        .WithMany("Details")
                        .HasForeignKey("AffiliateGroupID")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Category", "Category")
                        .WithMany()
                        .HasForeignKey("CategoryID")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Contract", "Contract")
                        .WithMany()
                        .HasForeignKey("ContractID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.AffiliateGroup", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.Affiliate", "Affiliate")
                        .WithMany("Groups")
                        .HasForeignKey("AffiliateID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.AffiliateLog", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.Affiliate", "Affiliate")
                        .WithMany()
                        .HasForeignKey("AffiliateID")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser", "ApplicationUser")
                        .WithMany()
                        .HasForeignKey("ApplicationUserID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.AffiliateTransaction", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.AffiliateDetail", "AffiliateDetail")
                        .WithMany()
                        .HasForeignKey("AffiliateDetailID")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.UserContract", "UserContract")
                        .WithMany()
                        .HasForeignKey("UserContractID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Answer", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser", "ApplicationUser")
                        .WithMany()
                        .HasForeignKey("ApplicationUserId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Question", "Question")
                        .WithMany("Answers")
                        .HasForeignKey("QuestionID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Article", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser", "ApplicationUser")
                        .WithMany()
                        .HasForeignKey("ApplicationUserId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Contract", "Contract")
                        .WithMany("Articles")
                        .HasForeignKey("ContractID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.ArticleDetail", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.Answer", "Answer")
                        .WithMany("ArticleDetails")
                        .HasForeignKey("AnswerID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Category", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser", "ApplicationUser")
                        .WithMany()
                        .HasForeignKey("ApplicationUserId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Category", "Parrent")
                        .WithMany("Children")
                        .HasForeignKey("ParentID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Comment", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser", "ApplicationUser")
                        .WithMany()
                        .HasForeignKey("ApplicationUserId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Contract", "Contract")
                        .WithMany("Comments")
                        .HasForeignKey("ContractID")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Comment", "Parent")
                        .WithMany("Answers")
                        .HasForeignKey("ParentID")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Post", "Post")
                        .WithMany("Comments")
                        .HasForeignKey("PostID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.ConsultationRequest", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser", "ApplicationUser")
                        .WithMany()
                        .HasForeignKey("ApplicationUserId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Counselor", "Counselor")
                        .WithMany()
                        .HasForeignKey("CounselorID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Contract", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser", "ApplicationUser")
                        .WithMany()
                        .HasForeignKey("ApplicationUserId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Category", "Category")
                        .WithMany()
                        .HasForeignKey("CategoryID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.ContractScore", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser", "ApplicationUser")
                        .WithMany()
                        .HasForeignKey("ApplicationUserId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Contract", "Contract")
                        .WithMany("ContractScores")
                        .HasForeignKey("ContractID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Counselor", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser", "ApplicationUser")
                        .WithMany()
                        .HasForeignKey("ApplicationUserId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.CounselorCategory", "CounselorCategory")
                        .WithMany()
                        .HasForeignKey("CounselorCategoryID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Coupon", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser", "ApplicationUser")
                        .WithMany()
                        .HasForeignKey("ApplicationUserId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Category", "Category")
                        .WithMany()
                        .HasForeignKey("CategoryID")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.ConsultationRequest", "ConsultationRequest")
                        .WithMany()
                        .HasForeignKey("ConsultationRequestID")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Coupon", "Parrent")
                        .WithMany("Children")
                        .HasForeignKey("ParentID")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.UserContract", "UserContract")
                        .WithMany("Coupons")
                        .HasForeignKey("UserContractID")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.UserSubscription", "UserSubscription")
                        .WithMany()
                        .HasForeignKey("UserSubscriptionID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Help", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.Question", "Question")
                        .WithMany("Helps")
                        .HasForeignKey("QuestionID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.LikeDislike", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser", "ApplicationUser")
                        .WithMany()
                        .HasForeignKey("ApplicationUserId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Comment", "Comment")
                        .WithMany("LikeDislikes")
                        .HasForeignKey("CommentID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.PaymentLog", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.ConsultationRequest", "consultationRequest")
                        .WithMany("PaymentLogs")
                        .HasForeignKey("ConsultationRequestID")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.UserContract", "UserContract")
                        .WithMany("PaymentLogs")
                        .HasForeignKey("UserContractID")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.UserSubscription", "UserSubscription")
                        .WithMany("PaymentLogs")
                        .HasForeignKey("UserSubscriptionID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Post", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser", "ApplicationUser")
                        .WithMany()
                        .HasForeignKey("ApplicationUserId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Author", "Author")
                        .WithMany()
                        .HasForeignKey("AuthorID")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Post", "Parent")
                        .WithMany("Children")
                        .HasForeignKey("ParentID")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Subject", "Subject")
                        .WithMany()
                        .HasForeignKey("SubjectID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Question", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser", "ApplicationUser")
                        .WithMany()
                        .HasForeignKey("ApplicationUserId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Article", "Article")
                        .WithMany("Questions")
                        .HasForeignKey("ArticleID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.RelatedArticle", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.Answer", "Answer")
                        .WithMany("RelatedArticles")
                        .HasForeignKey("AnswerID")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser", "ApplicationUser")
                        .WithMany()
                        .HasForeignKey("ApplicationUserId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.ArticleDetail", "ArticleDetail")
                        .WithMany()
                        .HasForeignKey("ArticleDetailID")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Article", "Article")
                        .WithMany()
                        .HasForeignKey("ArticleID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.RelatedContract", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser", "ApplicationUser")
                        .WithMany()
                        .HasForeignKey("ApplicationUserId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Contract", "Contract")
                        .WithMany()
                        .HasForeignKey("ContractID")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Post", "Post")
                        .WithMany()
                        .HasForeignKey("PostID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.RelatedPost", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser", "ApplicationUser")
                        .WithMany()
                        .HasForeignKey("ApplicationUserId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Post", "Post")
                        .WithMany()
                        .HasForeignKey("PostID")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Post", "Related")
                        .WithMany()
                        .HasForeignKey("RelatedID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Schedule", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.Counselor", "Counselor")
                        .WithMany("Schedules")
                        .HasForeignKey("CounselorID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.Subject", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser", "ApplicationUser")
                        .WithMany()
                        .HasForeignKey("ApplicationUserId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Subject", "Parent")
                        .WithMany("Children")
                        .HasForeignKey("ParentID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.UserContract", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.AffiliateDetail", "AffiliateDetail")
                        .WithMany()
                        .HasForeignKey("AffiliateDetailID")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser", "ApplicationUser")
                        .WithMany()
                        .HasForeignKey("ApplicationUserId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Contract", "Contract")
                        .WithMany()
                        .HasForeignKey("ContractID")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.UserContract", "Parrent")
                        .WithMany("Children")
                        .HasForeignKey("ParentID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.UserContractProperty", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.ArticleProperty", "ArticleProperty")
                        .WithMany()
                        .HasForeignKey("ArticlePropertyID")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.UserContract", "UserContract")
                        .WithMany("UserContractProperties")
                        .HasForeignKey("UserContractID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("LawMingo.Models.DomainModel.UserSubscription", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser", "ApplicationUser")
                        .WithMany()
                        .HasForeignKey("ApplicationUserId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("LawMingo.Models.DomainModel.Subscription", "Subscription")
                        .WithMany()
                        .HasForeignKey("SubscriptionID")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<string>", b =>
                {
                    b.HasOne("Microsoft.AspNetCore.Identity.IdentityRole")
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<string>", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser")
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<string>", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser")
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<string>", b =>
                {
                    b.HasOne("Microsoft.AspNetCore.Identity.IdentityRole")
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser")
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<string>", b =>
                {
                    b.HasOne("LawMingo.Models.DomainModel.ApplicationUser")
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });
#pragma warning restore 612, 618
        }
    }
}
